import com.njcn.web.utils.RestTemplateUtil;
import lombok.SneakyThrows;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.security.oauth2.common.OAuth2AccessToken;
import org.springframework.security.oauth2.provider.endpoint.TokenEndpoint;
import org.springframework.web.util.UriComponentsBuilder;

import java.net.URI;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月14日 12:55
 */
public class AuthTest extends BaseJunitTest {


    @Autowired
    private TokenEndpoint tokenEndpoint;


    @SneakyThrows
    @Test
    public void test(){
        String userUrl = "http://127.0.0.1:10214/oauth/token";
        UriComponentsBuilder builder = UriComponentsBuilder.fromHttpUrl(userUrl)
                .queryParam("grant_type", "sms_code")
                .queryParam("client_id", "app")
                .queryParam("client_secret", "njcnpqs")
                .queryParam("phone", "root")
                .queryParam("smsCode", "98746312123");
        URI uri = builder.build().encode().toUri();

        ResponseEntity<OAuth2AccessToken> userEntity = RestTemplateUtil.post(uri, OAuth2AccessToken.class);
    }

}
